Name:           scorched3d
Version:        37.2
Release:        0.fdr.1.2
Epoch:          0
Summary:        A game based loosely on the classic DOS game Scorched Earth

Group:          Amusements/Games
License:        GPL
URL:            http://www.scorched3d.co.uk/
# http://dl.sf.net/scorched3d/Scorched3D-37.2-src.tar.gz bzip2'd to save 3.5MB
Source0:        Scorched3D-37.2-src.tar.bz2
Source1:        %{name}.desktop
Source2:        http://dl.sf.net/scorched3d/Scorched3D-37.2-datafix.zip
Patch0:         %{name}-syslibs.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  SDL-devel, wxGTK2-devel, SDL_mixer-devel, SDL_net-devel
BuildRequires:  ImageMagick, %{_libdir}/libGLU.so.1, desktop-file-utils
BuildRequires:  expat-devel, autoconf, automake
# Upstream naming compatibility
Provides:       Scorched3D = %{epoch}:%{version}-%{release}

%description
Scorched 3D is a game based on the classic DOS game Scorched Earth
"The Mother Of All Games".  Scorched 3D adds amongst other new
features a 3D island environment and LAN and internet play.  At its
lowest level, Scorched 3D is just an artillery game with two+ tanks
taking turns to destroy opponents in an arena.  Choose the angle,
direction and power of each shot, launch your weapon, and try to blow
up other tanks.  But Scorched 3D can be a lot more complex than that,
if you want it to be.  You can earn money from successful battles and
use it to invest in additional weapons and accessories.  You can play
with up to twenty four other players at a time, mixing computer
players with humans.  There's a variety of changing environmental
conditions and terrains to be dealt with.


%prep
%setup -q -n scorched
%{__unzip} -qqoa -d data %{SOURCE2}
# Use system zlib and expat
%patch0 -p1
rm -rf src/zlib `find src/XML ! -name "X*"`
# Get a clean start
rm -rf autom4te.cache `find . -name Makefile`
grep -v configure autogen.sh | sh -x -


%build
%configure \
  --disable-dependency-tracking \
  --datadir=%{_datadir}/games/%{name} \
  --with-docdir=$RPM_DOC_DIR/%{name}-%{version}
make %{?_smp_mflags}
convert data/windows/tank2.ico tank2.png


%install
rm -rf $RPM_BUILD_ROOT __docs
make install DESTDIR=$RPM_BUILD_ROOT
desktop-file-install \
  --vendor fedora \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --mode 644 \
  --add-category X-Fedora \
  %{SOURCE1}
install -Dpm 644 tank2.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/scorched3d.png
# The default doc dir gets removed later in the %%doc scriptlet...
cp -pR $RPM_BUILD_ROOT$RPM_DOC_DIR/%{name}-%{version} __docs


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING TODO __docs/documentation/
%{_bindir}/scorched3d
%{_datadir}/games/scorched3d/
%{_datadir}/applications/*scorched3d.desktop
%{_datadir}/pixmaps/scorched3d.png


%changelog
* Mon Aug 16 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:37.2-0.fdr.1
- Update to 37.2.

* Mon Aug  4 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.33.9.35-0.fdr.1
- First build.
